plot.bayesian {sma} | R Documentation

## Plots lodscore vs effect estimate (the output of stat.bayesian() or stat.bay.est()).

### Description

This function plots the results of stat.bayesian() or stat.bay.est() highlighting genes meeting userspecified criteria.

### Usage

    plot.bayesian(x=NULL, Mbar=x$Xprep$Mbar, lods=x$lods,
    type="t", spec=50, ch=NULL, col="black",...)

### Arguments

`x` | output from stat.bayesian() or stat.bay.est()
`Mbar` | Effect estimate for each gene.
`lods` | Posterior lodsratio for each gene.
`type` | Type of criteria for highlighting genes (see details).
`spec` | Specifies cutoff etc. depending on `type`.
`ch` | Character with which to selected highlight genes. (Default is the gene index.)
`col` | Colour of highlighted genes. (Default is black.)
`...` | Additional graphical parameters

### Details

If type='t', plot.bayesian() highlights the top spec genes. If type='c', plot.bayesian() highlights the genes with lods>=spec. If type='i', plot.bayesian() highlights the genes with indecies specified in spec.

### Author(s)

Ingrid Lönnstedt ingrid@math.uu.se

### See Also

`stat.bayesian`,`stat.bay.est`

### Examples

    data(MouseArray)
    ## mouse.setup <- init.grid()
    ## mouse.data <- init.data() ## see \emph{init.data}
    ## mouse.lratio <- stat.ma(mouse.data, mouse.setup)
    mouse.bayesian<-stat.bayesian(M=mouse.lratio$M)

    plot.bayesian(mouse.bayesian)
    plot.bayesian(mouse.bayesian,type='c',spec=0,col='blue')
    plot.bayesian(mouse.bayesian,type='i',spec=c(1000,2000),col='green')
    plot.bayesian(mouse.bayesian,type='i',spec=1:length(mouse.bayesian$lods))

[Package sma version 0.5.14 Index]